// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_GetArrayItem.h"
#include "K2Node_GetArrayItem.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_GetArrayItem::SCW_UK2Node_GetArrayItem(UK2Node_GetArrayItem* InK2Node_GetArrayItem) : SCW_UK2Node(InK2Node_GetArrayItem), K2Node_GetArrayItem(InK2Node_GetArrayItem)
{

}

UK2Node_GetArrayItem* SCW_UK2Node_GetArrayItem::ToUK2Node_GetArrayItem() const
{
	return K2Node_GetArrayItem;
}

ISCW_UK2Node_GetArrayItemPtr SCW_UK2Node_GetArrayItem::ToUK2Node_GetArrayItemPtr()
{
	return GetSharedThisAs<SCW_UK2Node_GetArrayItem>();
}

ISCW_UK2Node_GetArrayItemConstPtr SCW_UK2Node_GetArrayItem::ToUK2Node_GetArrayItemPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_GetArrayItem>();
}